# Image rotate

An action block that rotates an image.

The fiber will pause until the image operation has finished.

This block will modify the bitmap held in memory by the fiber, as loaded by a prior Image load block.

Currently this block only supports rotating by 90 degree decrements/increments, i.e. 90°, 180° or 270°.

## Input arguments

- Rotation — angle of rotation in degrees, rounded to nearest 90°, default is 0, i.e. no rotation.

## Output variables

- Result width — variable to assign the width of the bitmap after it’s been rotated, in pixels.
- Result height — variable to assign the height of the bitmap after it’s been rotated, in pixels.